std::_Fwd_list_const_iterator< _Tp >(3cxx)

NAME
std::_Fwd_list_const_iterator< _Tp > - A forward_list::const_iterator.

SYNOPSIS

#include <forward_list.h>

  Public Types

typedef const _Fwd_list_node< _Tp > _Node
typedef _Fwd_list_const_iterator< _Tp > _Self
typedef ptrdiff_t difference_type
typedef _Fwd_list_iterator< _Tp > iterator
typedef std::forward_iterator_tag iterator_category
typedef const _Tp * pointer
typedef const _Tp & reference
typedef _Tp value_type

  Public Member Functions

_Fwd_list_const_iterator (const _Fwd_list_node_base *__n) noexcept
_Fwd_list_const_iterator (const iterator &__iter) noexcept
_Self _M_next () const noexcept
reference operator* () const noexcept
_Self & operator++ () noexcept
_Self operator++ (int) noexcept
pointer operator-> () const noexcept

  Public Attributes

const _Fwd_list_node_base * _M_node

  Friends

bool operator!= (const _Self &__x, const _Self &__y) noexcept
Forward list const_iterator inequality comparison.
bool operator== (const _Self &__x, const _Self &__y) noexcept
Forward list const_iterator equality comparison.

Detailed Description

  template<typename _Tp>
struct std::_Fwd_list_const_iterator< _Tp >"A forward_list::const_iterator.

All the functions are op overloads.

Definition at line 209 of file forward_list.h.

Member Typedef Documentation

  template<typename _Tp > typedef const _Fwd_list_node<_Tp> std::_Fwd_list_const_iterator< _Tp >::_Node

Definition at line 212 of file forward_list.h.

  template<typename _Tp > typedef _Fwd_list_const_iterator<_Tp> std::_Fwd_list_const_iterator< _Tp >::_Self

Definition at line 211 of file forward_list.h.

  template<typename _Tp > typedef ptrdiff_t std::_Fwd_list_const_iterator< _Tp >::difference_type

Definition at line 218 of file forward_list.h.

  template<typename _Tp > typedef _Fwd_list_iterator<_Tp> std::_Fwd_list_const_iterator< _Tp >::iterator

Definition at line 213 of file forward_list.h.

  template<typename _Tp > typedef std::forward_iterator_tag std::_Fwd_list_const_iterator< _Tp >::iterator_category

Definition at line 219 of file forward_list.h.

  template<typename _Tp > typedef const _Tp* std::_Fwd_list_const_iterator< _Tp >::pointer

Definition at line 216 of file forward_list.h.

  template<typename _Tp > typedef const _Tp& std::_Fwd_list_const_iterator< _Tp >::reference

Definition at line 217 of file forward_list.h.

  template<typename _Tp > typedef _Tp std::_Fwd_list_const_iterator< _Tp >::value_type

Definition at line 215 of file forward_list.h.

Constructor & Destructor Documentation

  template<typename _Tp > std::_Fwd_list_const_iterator< _Tp >::_Fwd_list_const_iterator () [inline], [noexcept]

Definition at line 221 of file forward_list.h.

  template<typename _Tp > std::_Fwd_list_const_iterator< _Tp >::_Fwd_list_const_iterator (const _Fwd_list_node_base * __n) [inline], [explicit], [noexcept]

Definition at line 225 of file forward_list.h.

  template<typename _Tp > std::_Fwd_list_const_iterator< _Tp >::_Fwd_list_const_iterator (const iterator & __iter) [inline], [noexcept]

Definition at line 228 of file forward_list.h.

Member Function Documentation

  template<typename _Tp > _Self std::_Fwd_list_const_iterator< _Tp >::_M_next () const [inline], [noexcept]

Definition at line 269 of file forward_list.h.

  template<typename _Tp > reference std::_Fwd_list_const_iterator< _Tp >::operator* () const [inline], [noexcept]

Definition at line 232 of file forward_list.h.

  template<typename _Tp > _Self & std::_Fwd_list_const_iterator< _Tp >::operator++ () [inline], [noexcept]

Definition at line 240 of file forward_list.h.

  template<typename _Tp > _Self std::_Fwd_list_const_iterator< _Tp >::operator++ (int) [inline], [noexcept]

Definition at line 247 of file forward_list.h.

  template<typename _Tp > pointer std::_Fwd_list_const_iterator< _Tp >::operator-> () const [inline], [noexcept]

Definition at line 236 of file forward_list.h.

Friends And Related Symbol Documentation

  template<typename _Tp > bool operator!= (const _Self & __x, const _Self & __y) [friend]

Forward list const_iterator inequality comparison.

Definition at line 265 of file forward_list.h.

  template<typename _Tp > bool operator== (const _Self & __x, const _Self & __y) [friend]

Forward list const_iterator equality comparison.

Definition at line 258 of file forward_list.h.

Member Data Documentation

  template<typename _Tp > const _Fwd_list_node_base* std::_Fwd_list_const_iterator< _Tp >::_M_node

Definition at line 277 of file forward_list.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.